#Download base image ubuntu 24.04
FROM ubuntu:latest

ENV DEBIAN_FRONTEND=noninteractive

RUN apt-get -qq update && \
    apt-get -qq install \
        man-db curl wget vim nano flex byacc git \
        binutils autoconf automake make cmake \
        qemu-system-x86 nasm gcc \
        g++-multilib gdb ddd qtbase5-dev qtchooser qt5-qmake qtbase5-dev-tools flex

# Install Rust toolchain
RUN curl https://sh.rustup.rs -sSf | sh -s -- -y --default-toolchain stable

ENV PATH="/root/.cargo/bin:/root/.rustup/toolchains/nightly-x86_64-unknown-linux-gnu/lib/rustlib/x86_64-unknown-linux-gnu/bin/:${PATH}"
ENV EDITOR=vim

# Switch back to dialog for any ad-hoc use of apt-get
ENV DEBIAN_FRONTEND=dialog
